To enjoy the best possible viewing experience, please update your browser

Your SMART Board Interactive Display Frame or Whiteboard Doesn’t Work with Linux Computers

SMART Hardware SMART Board interactive display frames and SMART Board interactive whiteboards using the USB active extension cable (Part No. USB-XT)
Operating Systems Linux operating systems

Issue

The following SMART Technologies products don’t work with computers running Linux operating systems:

  • The SMART Board interactive display frame

  • SMART Board interactive whiteboards using the USB active extension cable

Cause

There is a problem with the ehci-hcd module of the Linux kernel (version 2.5.2 and later) that affects USB 2.0 high speed devices, including SMART Board interactive display frames and USB active extension cables.

Solution

Disable the ehci-hcd module.

OR

Use your SMART Board interactive display frame or USB active extension cable with computers running Windows operating systems or Mac OS operating system software.

Important 

  • The following procedure disables the ehci-hcd module for all USB 2.0 high speed devices, not just the SMART Board interactive display frame and USB active extension cable.

  • Complete the following procedure each time you boot the computer.

To disable the ehci-hcd module in Ubuntu

  1. Select Applications > Accessories > Terminal.

    The terminal emulator appears.

  2. Type the following command, and then press Enter.

    sudo modprobe -r ehci-hcd

    The Linux operating system disables the ehci-hcd module, and you can now use your SMART Board interactive display frame or SMART Board interactive whiteboard (using the USB active extension cable) with the computer.

First Published December 19, 2008

 

Need answers and information?

Searching notebook docs - matte blue

Search SMART's knowledge base - a library of thousands of technical articles.

Contact support

Illustration of man wearing headset

Do you have questions about your SMART products? Our support team can help you get the answers you need.